For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
      • Batches
      • Exporting Batch Data
      • Collections
      • Exporting Collection Data
      • Datasets
      • Instructions
      • GETList Batches
      • POSTCreate a Batch
      • GETGet a Batch
      • PATCHUpdate a Batch
      • GETGet Batch Status
      • POSTSetup a Batch
      • GETGet Batch Responses
      • GETGet Batch Report
      • POSTDuplicate a Batch
      • POSTRequest a Batch Export
      • GETGet Batch Export Status
      • POSTCreate a Dataset
      • GETGet Dataset Upload URL
      • GETGet Dataset Status
      • GETGet Batch Instructions
      • POSTCreate Batch Instructions
      • PUTUpdate Batch Instructions
      • GETList Collections
      • POSTCreate a Collection
      • GETGet a Collection
      • PUTUpdate a Collection
      • GETGet Collection Responses
      • POSTRequest a Collection Export
      • GETGet Collection Export Status
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceAI Task Builder

Get Batch Instructions

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/data-collection/batches/:batch_id/instructions
GET
/api/v1/data-collection/batches/:batch_id/instructions
$curl https://api.prolific.com/api/v1/data-collection/batches/batch_id/instructions \
> -H "Authorization: Token <token>"
1{
2 "results": [
3 {
4 "type": "multiple_choice",
5 "answer_limit": 1,
6 "created_at": "2024-09-18T07:50:15.055Z",
7 "created_by": "Sean",
8 "description": "Choose the LLM response which is more accurate.",
9 "id": "0192041c-470f-7336-8e3d-e03fc086a4e1",
10 "options": [
11 {
12 "label": "Response 1",
13 "value": "response1"
14 },
15 {
16 "label": "Response 2",
17 "value": "response2"
18 }
19 ],
20 "parent_id": "01974850-9e29-744a-811c-b26612812345",
21 "parent_type": "batch"
22 },
23 {
24 "type": "free_text",
25 "created_at": "2024-09-18T07:50:15.056Z",
26 "created_by": "Sean",
27 "description": "Please share the reasons for your choice.",
28 "id": "0192041c-4710-7336-8e3d-e9b6149c0797",
29 "parent_id": "01974850-9e29-744a-811c-b26612812345",
30 "parent_type": "batch"
31 },
32 {
33 "type": "multiple_choice_with_free_text",
34 "answer_limit": -1,
35 "created_at": "2024-09-18T07:50:15.057Z",
36 "created_by": "Sean",
37 "description": "Rate each aspect and explain your reasoning.",
38 "id": "0192041c-4712-7336-8e3d-a2b3c4d5e6f7",
39 "options": [
40 {
41 "label": "Good",
42 "value": "accuracy_good",
43 "heading": "Accuracy"
44 },
45 {
46 "label": "Needs improvement",
47 "value": "accuracy_poor",
48 "heading": "Accuracy"
49 }
50 ],
51 "parent_id": "01974850-9e29-744a-811c-b26612812345",
52 "parent_type": "batch"
53 },
54 {
55 "type": "free_text_with_unit",
56 "created_at": "2024-09-18T07:50:15.058Z",
57 "created_by": "Sean",
58 "description": "What is your height?",
59 "id": "0192041c-4713-7336-8e3d-b3c4d5e6f7a8",
60 "parent_id": "01974850-9e29-744a-811c-b26612812345",
61 "parent_type": "batch",
62 "unit_options": [
63 {
64 "label": "Centimeters",
65 "value": "cm",
66 "validation": {
67 "type": "number",
68 "min": 50,
69 "max": 300
70 }
71 },
72 {
73 "label": "Feet",
74 "value": "ft",
75 "validation": {
76 "type": "number",
77 "min": 1,
78 "max": 9
79 }
80 }
81 ],
82 "unit_position": "suffix"
83 },
84 {
85 "type": "file_upload",
86 "created_at": "2024-09-18T07:50:15.059Z",
87 "created_by": "Sean",
88 "description": "Upload a photo of the item",
89 "id": "0192041c-4711-7336-8e3d-f1c7260d1898",
90 "parent_id": "01974850-9e29-744a-811c-b26612812345",
91 "parent_type": "batch",
92 "accepted_file_types": [
93 ".jpg",
94 ".jpeg",
95 ".png"
96 ],
97 "max_file_count": 3,
98 "max_file_size_mb": 10,
99 "min_file_count": 1
100 }
101 ],
102 "meta": {
103 "count": 5
104 }
105}
Get the instructions for an AI Task Builder batch
Was this page helpful?
Previous

Get Dataset Status

Next

Create Batch Instructions

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

batch_idstringRequired
Batch ID

Response

OK
resultslist of objects
metaobject

Errors

4XX
Client Request Error